Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class MessageTrace

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.AbstractTrace
          kieker.tools.traceAnalysis.systemModel.MessageTrace

    public class MessageTrace

extends AbstractTrace

This class is a container for a whole trace of messages (represented as actual instances of `AbstractMessage`).

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary

Fields inherited from class kieker.tools.traceAnalysis.systemModel.AbstractTrace
`DEFAULT_SESSION_ID, NO_TRACE_ID`

Constructor Summary
`MessageTrace(long traceId, List<AbstractMessage> seq)` Creates a new message trace from the given data.
`MessageTrace(long traceId, String sessionId, List<AbstractMessage> seq)` Creates a new message trace from the given data.

Method Summary
`boolean` | `equals(Object obj)`
`long` | `getEndTimestamp()` Returns this trace's end timestamp.
`List<AbstractMessage>` | `getSequenceAsVector()` Returns the message sequence contained in this trace as an (unmodifiable) list.
`long` | `getStartTimestamp()` Returns this trace's start timestamp.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class kieker.tools.traceAnalysis.systemModel.AbstractTrace
`getSessionId, getTraceId, getTraceInformation`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageTrace

    public MessageTrace(long traceId,
                        List<AbstractMessage> seq)

  Creates a new message trace from the given data.

  Parameters:
    `traceId` - The ID for this message trace
    `seq` - The messages contained in this message trace

### MessageTrace

    public MessageTrace(long traceId,
                        String sessionId,
                        List<AbstractMessage> seq)

  Creates a new message trace from the given data.

  Parameters:
    `traceId` - The ID for this trace.
    `sessionId` - The ID of the current session.
    `seq` - The list of messages this trace consists of.

Method Detail

### getSequenceAsVector

    public final List<AbstractMessage> getSequenceAsVector()

  Returns the message sequence contained in this trace as an (unmodifiable) list.

  Returns:
    See above

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Description copied from class: `AbstractTrace`

  Overrides:
    `hashCode` in class `AbstractTrace`

### getStartTimestamp

    public long getStartTimestamp()

  Description copied from class: `AbstractTrace`
  Returns this trace's start timestamp.

  Specified by:
    `getStartTimestamp` in class `AbstractTrace`
  Returns:
    See above

### getEndTimestamp

    public long getEndTimestamp()

  Description copied from class: `AbstractTrace`
  Returns this trace's end timestamp.

  Specified by:
    `getEndTimestamp` in class `AbstractTrace`
  Returns:
    See above

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in class `AbstractTrace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net